#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, q;
    cin >> n >> q;
    vector<unsigned long long> glasovi (n);
    for(int i = 0; i < n; i++){
        cin >> glasovi[i];
    }
    sort(glasovi.begin(), glasovi.end());
    int medijana = n / 2;
    for(int i = 0; i < q; i++){
        unsigned long long glas;
        cin >> glas;
        
        if(glas == glasovi[medijana]){
            cout << 0 << '\n';
            continue;
        }
        int l = distance(glasovi.begin(), lower_bound(glasovi.begin(), glasovi.end(), glas));
        int u = distance(glasovi.begin(), upper_bound(glasovi.begin(), glasovi.end(), glas));
        int sredina;
        if(l > medijana){
            sredina = l;
        }
        else{
            sredina = u;
        }
        if(sredina == n){
            cout << n << '\n';
            continue;
        }
        if(sredina > medijana){
            cout << abs(sredina - n + sredina) << '\n';
        }
        else{
            cout << abs(sredina - n + sredina + 1) << '\n';
        }
    }

    return 0;
}